searchData={"items":[{"type":"module","title":"TowerRollbar","doc":"A [Rollbar](https://rollbar.com) reporter for `Tower` error handler.","ref":"TowerRollbar.html"},{"type":"module","title":"Example - TowerRollbar","doc":"config :tower, :reporters, [TowerRollbar]","ref":"TowerRollbar.html#module-example"},{"type":"extras","title":"TowerRollbar","doc":"# TowerRollbar\n\n[![ci](https://github.com/mimiquate/tower_rollbar/actions/workflows/ci.yml/badge.svg?branch=main)](https://github.com/mimiquate/tower_rollbar/actions?query=branch%3Amain)\n[![Hex.pm](https://img.shields.io/hexpm/v/tower_rollbar.svg)](https://hex.pm/packages/tower_rollbar)\n[![Documentation](https://img.shields.io/badge/Documentation-purple.svg)](https://hexdocs.pm/tower_rollbar)\n\nError tracking and reporting to Rollbar.\n\nA [Rollbar](https://rollbar.com) reporter for [Tower](https://github.com/mimiquate/tower) error handler.","ref":"readme.html"},{"type":"extras","title":"Installation - TowerRollbar","doc":"The package can be installed by adding `tower_rollbar` to your list of dependencies in `mix.exs`:\n\n```elixir\ndef deps do\n  [\n    {:tower_rollbar, \"~> 0.6.0\"}\n  ]\nend\n```","ref":"readme.html#installation"},{"type":"extras","title":"Usage - TowerRollbar","doc":"Ask `Tower` to use the `TowerRollbar` reporter.\n\n```elixir\n# config/config.exs\n\nconfig(\n  :tower,\n  :reporters,\n  [\n    # along any other possible reporters\n    TowerRollbar\n  ]\n)\n```\n\nAnd configure `:tower_rollbar`.\n\n```elixir\n# config/runtime.exs\n\nif config_env() == :prod do\n  config :tower_rollbar,\n    access_token: System.get_env(\"ROLLBAR_SERVER_ACCESS_TOKEN\"),\n    environment: System.get_env(\"DEPLOYMENT_ENV\", to_string(config_env()))\nend\n```\n\nThat's it.\n\nIt will try report any error, throw or abnormal exit within your application. That includes errors in\nany plug call (including Phoenix), Oban job, async task or any other process.\n\nSome HTTP request data will be included in the report if a `Plug.Conn` is available when handling the error.","ref":"readme.html#usage"},{"type":"extras","title":"Manual reporting - TowerRollbar","doc":"You can manually report errors just by informing `Tower` about any manually handled errors, throws or abnormal exits.\n\n\n```elixir\ntry do\n  # possibly crashing code\ncatch\n  kind, reason ->\n    Tower.handle_caught(kind, reason, __STACKTRACE__)\nend\n```\n\nMore details on https://hexdocs.pm/tower/Tower.html#module-manual-handling.","ref":"readme.html#manual-reporting"},{"type":"extras","title":"License - TowerRollbar","doc":"Copyright 2024 Mimiquate\n\nLicensed under the Apache License, Version 2.0 (the \"License\");\nyou may not use this file except in compliance with the License.\nYou may obtain a copy of the License at\n\n    http://www.apache.org/licenses/LICENSE-2.0\n\nUnless required by applicable law or agreed to in writing, software\ndistributed under the License is distributed on an \"AS IS\" BASIS,\nWITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.\nSee the License for the specific language governing permissions and\nlimitations under the License.","ref":"readme.html#license"}],"content_type":"text/markdown","producer":{"name":"ex_doc","version":[48,46,51,52,46,50]}}